## com.sun.jna.platform.unix
Class X11.XKeyboardStateRef

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.unix.X11.XKeyboardStateRef

All Implemented Interfaces:
  com.sun.jna.Structure.ByReference

Enclosing interface:
  X11

    public static class X11.XKeyboardStateRef

extends com.sun.jna.Structure
implements com.sun.jna.Structure.ByReference

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`byte[]` `auto_repeats` Bit vector.
`int` `bell_duration` Duration of the bell specified in milliseconds, if possible.
`int` `bell_percent` Base volume for the bell between 0 (off) and 100 (loud) inclusive, if possible.
`int` `bell_pitch` Pitch (specified in Hz) of the bell, if possible.
`int` `global_auto_repeat` Global auto repeat mode: AutoRepeatModeOff or AutoRepeatModeOn.
`int` `key_click_percent` Volume for key clicks between 0 (off) and 100 (loud) inclusive, if possible.
`com.sun.jna.NativeLong` `led_mask` State of the LEDs.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`X11.XKeyboardStateRef()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### key_click_percent

    public int key_click_percent

  Volume for key clicks between 0 (off) and 100 (loud) inclusive, if possible.

### bell_percent

    public int bell_percent

  Base volume for the bell between 0 (off) and 100 (loud) inclusive, if possible.

### bell_pitch

    public int bell_pitch

  Pitch (specified in Hz) of the bell, if possible. A setting of -1 restores the default.

### bell_duration

    public int bell_duration

  Duration of the bell specified in milliseconds, if possible. A setting of -1 restores the default.

### led_mask

    public com.sun.jna.NativeLong led_mask

  State of the LEDs. At most 32 LEDs numbered from one are supported.

### global_auto_repeat

    public int global_auto_repeat

  Global auto repeat mode: AutoRepeatModeOff or AutoRepeatModeOn.

### auto_repeats

    public byte[] auto_repeats

  Bit vector. Each bit set to 1 indicates that auto-repeat is enabled for the corresponding key. The vector is represented as 32 bytes. Byte N (from 0) contains the bits for keys 8N to 8N + 7 with the least significant bit in the byte representing key 8N.

Constructor Detail

### X11.XKeyboardStateRef

    public X11.XKeyboardStateRef()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `com.sun.jna.Structure`